Get Balance

Token or account number can be passed in. In the case where token is passed, the balance of the account to which the token is related to by default, is returned.
Provision is made for four balances to be returned :

  1. Total blocked amount (bal_blk_amt)
  2. Total Settled amount (bal_act_amt)
  3. Total pending amount (bal_pnd_amt)
  4. Total Available amount (bal_avail_amt)

Note: Pending amounts are amounts that may be ‘in progress’ to the account but not cleared for use (eg a chaps transfer, or chargeback refund).

Body Params

-- This web service retrieves the card balance available for a specific card/token or account.
-- It returns current (actual) balance, available (pending) balance and blocked balance.

string
required
length between 1 and 40

Unique number that must be passed at each API request. Identifier to make each API request unique

int32
required
≥ 1

Unique identifier for the client which Paymentology will provide at outset

int64
required
≥ 1

Public token / account number.Pass public token when input type is t./Pass account number when input type is a.

string
required
^[t,a,T,A]{1}$

Input Type :

  • a ==> account
  • t ==> Token
string
length between 0 and 50

User Id of the Customer who triggered the API request.

string
length between 0 and 200

Remarks for API request

Responses

404

Webservices does not exist

500

Internal Server error

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json